org.eclipse.jdt.core.util

## Interface IRequiresInfo

    public interface IRequiresInfo

Description of a requires info as described in JVMS9 4.7.25

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getRequiresFlags()` Answer back the requires flags.
`int` `getRequiresIndex()` Answer back the requires index.
`char[]` `getRequiresModuleName()` Answer back the requires module name.
`int` `getRequiresVersionIndex()` Answer back the requires version index.
`char[]` `getRequiresVersionValue()` Answer back the requires version string.

### Method Detail

#### getRequiresIndex

    int getRequiresIndex()

Answer back the requires index.

Returns:
  the requires index

#### getRequiresModuleName

    char[] getRequiresModuleName()

Answer back the requires module name.

Returns:
  the requires module name

#### getRequiresFlags

    int getRequiresFlags()

Answer back the requires flags.

Returns:
  the requires flags

#### getRequiresVersionIndex

    int getRequiresVersionIndex()

Answer back the requires version index.

Returns:
  the requires version index

#### getRequiresVersionValue

    char[] getRequiresVersionValue()

Answer back the requires version string.

Returns:
  the requires version string